pdk 9.5 and perl 5.24

Posted by cellist on 2017-07-01 03:49
Forums: PDK Support | OS: Windows 7

This is a followup to my post of a while back, https://community.activestate.com/node/19456.

I want to update the pdk to 9.5. My understanding is that it need 5.24 of perl.
Is 5.24 ready and if so where to I get the download?

Thanks,
Phil

grahams
ActiveState Staff
Tue, 2017-07-04 14:59

See the last lines of my previous comment above, and this FAQ:
https://community.activestate.com/faq/finalversionpairingsPDK

5.24 is ready, but it can't be used with any Perl Dev Kit.

Downloads of the final release version of PDK 9.5.1 are only available from the MyAccount store site for users with maintenance and support contracts that are in effect past the end of new sales for PDK (2016).

cellist | Fri, 2017-07-14 18:54

I suppose I'm being a bit dense.

Is the bottom line that I'll never be able to use my PDK version with 5.24 and there will never be a version of the PDK that I could purchase to use with 5.24? It's the "...only available from the MyAccount store site for users with maintenance and support contracts that are in effect past the end of new sales for PDK (2016)" that's baffling. I mean, apparently there are such users but I'm not one of them?

grahams
ActiveState Staff
Wed, 2017-07-19 15:31

It was possible to purchase a PDK license either with, or without, an ongoing annual Maintenance and Support subscription. It looks like what you selected was the base option without the ongoing subscription.

And yes, there will not be a version of the PDK that can work with a 5.24 ActivePerl.